webfs (1.21+ds1-12) unstable; urgency=low

  * Step Standards-Version to 3.9.8, no changes.
  * debian/control: Remove obsolete build dependency on dpkg-dev.
    Reorder dependency lists.
  * debian/copyright: Update the time span of my contribution.
  * debian/rules: Do not set compiler flags.  Activate all available
    hardening, even though not all consumed libraries do this.
  * Update debconf translation:
    + Dutch (Frans Spiesschaert).  Closes: #821449

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 04 May 2016 23:44:21 +0200

webfs (1.21+ds1-11) unstable; urgency=low

  * Step Standards-Version to 3.9.7, no changes.
  * Advance debhelper compatibility to 9.
    + debian/control, debian/compat: Updated.
    + debian/rules: Reduce rule set to use dh together with targets
      "override_dh_auto_build" and "override_dh_install".  Include
      target "override_dh_auto_build" as no-op.
  * Suggested document root is already "/var/www/html".
    + debian/webfsd.conf: Updated.
  * Improve debconf questions.
    + debian/templates: Updated.  Closes: #727803
  * Update debconf translations:
    + Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #762473
    + Danish (Joe Hansen).  Closes: #765847
    + French (Christian Perrier).  Closes: #760259
    + German (Holger Wansing).  Closes: #761481
    + Italian (Beatrice Torracca). Closes: #762344
    + Japanese (Noritada Kobayashi): New file.
    + Portuguese (Pedro Ribeiro).  Closes: #762495
    + Russian (Yuri Kozlov).  Closes: #760811
    + Swedish (Per Andersson, Martin Bagge).  Closes: #760194, #761976

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 02 Apr 2016 23:54:23 +0200

webfs (1.21+ds1-10) unstable; urgency=low

  * debian/control: Standard-Version 3.9.5.
  * Make libgcrypt a conditional dependency.
    + Solution hint provided by Andreas Metzler.
    + debian/patches/85_conditional_gcrypt.diff: New file.
    + debian/control: Add 'pkg-config' to Build-Depends.
    + Closes: #746159
  * Migrate to recent 'gnutls28'.
    + debian/control: Update to 'libgnutls28-dev' in Build-Depends.
    + Closes: #752302
  * Set default document root to '/var/www/html'.
    + debian/templates: Updated.
    + Closes: #730376
  * Support sendfile() while running GNU/kFreeBSD.
    + debian/patches/82_kfreebsd.diff: New file.
  * Document the option "-~" properly.
    + debian/patches/10_manpage.diff: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 26 Jul 2014 21:37:53 +0200

webfs (1.21+ds1-9) unstable; urgency=low

  * CVE-2013-0347: Permissions of log file.
    + debian/patches/80_cve_2013_0347.diff: New file.
    + debian/webfs.postinst: Change stat-override, empty world access.
    + debian/webfs.logrotate: Add a specification "su".
    + debian/NEWS: Add a comment.
    + Closes: #701638.
  * Transmission of large files with TLS.
    + debian/patches/68_large_files.diff: New file.
    + Closes: #702660.
  * Incorporate translation updates from 1.21+ds1-8.1.
    Sincere thanks to Christian Perrier and translators;
    in particular Joe Hansen for the completely new Danish
    translation.
  * Debconf translation update:
    + Japanese (victory). Closes: #717705.
    + debian/po/ja.po: Update.
  * Implement hardened builds:
    + debian/rules: Compilation flags using dpkg-buildflags.
    + debian/patches/75_hardening_flags.diff: New file.
    + debian/control: Build depends on dpkg-dev (>= 1.15.7).
  * debian/webfs.init:
    * Adapt to LSB message passing, suggested by Trent W. Buck.
    * Implement "status" command.  Make "start" and "stop" idempotent.
    * Minor shell code clean up.
  * debian/control:
    + Standards 3.9.4; no changes.
    + Binary dependency on lsb-base (>= 3.2-14).
  * debian/rules:
    + Run verbose compiler stage: "verbose=yes".
    + [lintian] Trivial targets build-arch, build-indep.
  * debian/copyright:
    + Field names and URL conform to DEP-5, version 1.0.
    + Make a separate GPL-2+ license description, referenced twice.
  * debian/patches/63_gnutls.diff: Insert a single pointer cast.
  * debian/local/create_cert.sh: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 13 Dec 2013 19:22:21 +0100

webfs (1.21+ds1-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #660368
    - Dutch; (Jeroen Schot).  Closes: #661680

 -- Christian Perrier <bubulle@debian.org>  Wed, 16 May 2012 07:20:27 +0200

webfs (1.21+ds1-8) unstable; urgency=low

  * Regressions on previous package version.
    + debian/postrm: Test on full path.
    + debian/postinst: Full path and temporary file copy.
    + Closes: #605690, #605691.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 02 Dec 2010 22:34:44 +0100

webfs (1.21+ds1-7) unstable; urgency=low

  * Violation of Policy 10.7.3: Config file.
    + Use `ucf' for updating configuration.
    + d/control: Depend on "ucf".
    + d/rules: Install conffile as "/usr/share/webfs/webfsd.conf.auto".
    + d/webfs.postinst: Copy old conffile, do all updating on the file
      "webfs.conf.auto", and register the result using "ucf" and "ucfr".
    + d/webfs.postrm: Purge with support of "ucfr" and "ucf".
    + Closes: #603926.
  * FTBFS when using "binutils-gold".
    + Explicitly add "-lgcrypt" to LDFLAGS.
    + debian/patches/63_gnutls.diff: Updated file.
    + Contributed by Roy Jamison. Origin LP: #665276.
    + Closes: #601044.
  * debian/webfs.init: Remove `$named' from Required-Start
      and from Required-Stop.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 30 Nov 2010 19:51:04 +0100

webfs (1.21+ds1-6) unstable; urgency=low

  * Upgrade standard from 3.8.4 to 3.9.1: No changes.
  * debian/po/cs.po: Updated file.
    + Thanks to Miroslav Kure for the updated translation.
    + Closes: #599945.
  * debian/po/ja.po: Renamed from incorrect "jp.po".

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 20 Oct 2010 10:15:27 +0200

webfs (1.21+ds1-5) unstable; urgency=low

  * debian/patches/63_gnutls.diff: Updated file.
    + Execute 'gnutls_*_deinit' inside a conditional block.
    + Closes: #577241

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 10 Jun 2010 08:58:00 +0200

webfs (1.21+ds1-4) unstable; urgency=low

  * Incorrect determination of group access, an old bug.
    + debian/patches/70_group_access.diff: New file.
    + debian/NEWS: Mention the vulnerability.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 22 Apr 2010 15:10:37 +0200

webfs (1.21+ds1-3) unstable; urgency=low

  * Prepare for better failure checks:
    + debian/patches/60_error_trapping.diff: New file.
  * Implement support for GnuTLS, replacing support for OpenSSL:
    + Closes: #395873.
    + debian/patches/63_gnutls.diff: New file.
    + debian/Make.config: Add macro USE_GNUTLS.
    + debian/control: Build depends on libgnutls-dev.
  * Improved usage of capacities offered by libgnutls:
    + debian/patches/66_further_gnutls.diff: New file.
  * debian/webfs.examples: New file.
    + debian/local/create_cert.sh: Generator of test certificates.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #572604
    + debian/po/en.po: Deleted trivial placeholder. Closes: #573121
  * [Debconf translation updates]
    + Work coordinated by Christian Perrier.
    + Vietnamese (Clytie Siddall).  Closes: #573169
    + Russian (Yuri Kozlov). Closes: #569979, #573196
    + Norwegian Bokmaal (Bjoern Steensrud). Closes: #573342
    + Polish (Wiktor Wandachowicz).  Closes: #573647
    + Swedish (Martin Bagge).  Closes: #574251
    + French (Christian Perrier).  Closes: #574367
    + Portuguese (Pedro Ribeiro).  Closes: #574865
    + Spanish (Francisco Javier Cuadrado).  Closes: #574952
    + Italian (Vincenzo Campanella).  Closes: #575100
    + German (Martin Eberhard Schauer).  Closes: #575172
  * debian/webfs.init:
    + At 'stop' and 'restart', make sure the old PID-file is removed.
    + debian/webfs.prerm: Workaround for outdated init-scripts.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 31 Mar 2010 15:31:57 +0200

webfs (1.21+ds1-2) unstable; urgency=low

  * Listening to dual protocols unless told otherwise:
    + debian/patches/55_sockopt_v6only.diff: New file. (Closes: #567524)
  * [lintian]: maintainer-script-without-set-e
    + Put 'set -e' on a separate line: postinst, postrm, config.
  * [lintian]: copyright-refers-to-symlink-license
    + Mention 'GPL-2' instead of 'GPL'.
  * [lintian]: no-upstream-changelog:
    + debian/rules: Use 'dh_installchangelogs -k README'.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sun, 14 Feb 2010 17:29:03 +0100

webfs (1.21+ds1-1) unstable; urgency=low

  * New maintainer. (Closes: #546807)
  * New source packaging, appending "+ds1":
    + Abandoning the tar-in-tarball packaging.
    + Migrating to format "3.0 (quilt)".
  * Incorporate previous NMU-releases. (Closes: #537154)
  * Upgrade to Debhelper 7: Removal of 'build-stamp' is now automatic.
  * Upgrade standard from 3.8.2 to 3.8.4: No changes.
  * Avoid stripping in upstream makefile. (Closes: #438261)
  * Set a CGI-path: (Closes: #356026)
    + debian/webfsd.conf: Include empty variable 'web_cgipath'.
    + debian/webfs.init: Include new functionality in init-script.
    + debian/templates: Include a debconf question.
    + debian/webfs.{config,postinst}:
        Extend the loop with the new case 'q14=web_cgipath'.
  * Preferred ownership "www-data:www-data" for daemon and log file.
  * Preferred logging is to '/var/log/webfs/webfs.log'
    + debian/webfs.postinst: Apply statoverride to '/var/log/webfs'.
    + debian/webfs.postrm: New file, purge statoverride.
  * Debconf: Add additional questions for "webfsd/web_logbuffering" and
    "webfsd/web_extras".
    + This modifies templates, webfs.{config,postinst,init}, webfsd.conf.
  * dist/*.diff: New files to avoid compiler warnings and lintian
      warnings for manpage. Also an explicit exception to FD_CLOEXEC.
  * debian/control:
    + Use section 'httpd', instead of previous 'web'.
    + A trivial spelling error.
  * debian/copyright: Rewrite according to DEP-5.
  * Logcheck: Integration with two ignore-rules for level 'workstation'.
  * [lintian]: Override 'unused-debconf-template' for binary package.
  * [lintian]: debian/po/en.po, a trival translations for debconf.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 03 Feb 2010 21:38:55 +0100

webfs (1.21-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing provide header in LSB section of init.d script
    (Closes: #525807).
  * Update standard-version from 3.7.2 to 3.8.2.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 15 Jul 2009 11:52:55 +0200

webfs (1.21-5.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Portuguese. Closes: #439698
    - Dutch. Closes: #448925
    - Finnish. Closes: #475436
    - Galician. Closes: #477574
  * [Lintian] Use Homepage field in debian/control
  * [Lintian] Set debhelper compatibility level in debian/compat
  * Russian. Closes: #479143

 -- Christian Perrier <bubulle@debian.org>  Mon, 07 Apr 2008 07:59:55 +0200

webfs (1.21-5) unstable; urgency=low

  * Add spanish debconf (Closes: #414349) 
  * Add japanese debconf (Closes: #413360)

 -- Iñaki Rodriguez <irodriguez@virtualminds.es>  Mon, 12 Mar 2007 16:46:10 +0100

webfs (1.21-4.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - German. Closes: #399743

 -- Christian Perrier <bubulle@debian.org>  Mon, 26 Feb 2007 18:39:40 +0100

webfs (1.21-4) unstable; urgency=low

  * Rewrite templates to follow the Developer's Reference recommendations
    Closes: #199563
  * Provide a LSB header to the init script
  * Add dh_strip to debian/rules to entirely strip the binary
  * Debconf translations:
    - German updated.
    - Czech updated.
    - Vietnamese updated.
    - Portuguese updated.
    - Swedish added. Sent during the call for updates of the NMU campaign.
    - Norwegian added. Closes: #396767.

 -- Iñaki Rodriguez <irodriguez@virtualminds.es>  Wed,  1 Nov 2006 08:26:55 +0200

webfs (1.21-3) unstable; urgency=low

  * New mantainer (closes: #379253).
  * Removed ssl support (closes: #379552).
  * Added endscript to logrotate (closes: #283466).
  * Added 'Provides: httpd' to control file (closes: #284951).
  * Depends on "debconf | debconf-2.0" (closes: #332144).
  * Added German debconf translations (closes: #276833, #313896).
    Patches by Jens Nachtigall <nachtigall@web.de> and
    Jens Seidel <jensseidel@users.sf.net>.
  * Added Czech debconf translations (closes: #314975).
    Patch by Miroslav Kure <kurem@upcase.inf.upol.cz>.
  * Added Vietnamese debconf translations (closes: #324091).
    Patch by Clytie Siddall <clytie@riverland.net.au>.
  * Added Portuguese debconf translations (closes: #338770).
    Patch by Rui Branco <ruipb@debianpt.org>.
  * Fixed some debconf template typos (closes: #395977).
    Patch by Clytie Siddall <clytie@riverland.net.au>.
  * Set debhelper compatibility level to 5.
  * Set Standards-Version to 3.7.2.
  * Added watch file.
  * Fixed FSF mail address.
  * Added homepage to description.

 -- Iñaki Rodriguez <irodriguez@virtualminds.es>  Mon,  9 Oct 2006 00:16:35 +0200

webfs (1.21-2) unstable; urgency=low

  * add french debconf translations (closes: #256802).
  * make www-data default user+group, create access log
    if configured (closes: #256349).

 -- Gerd Knorr <kraxel@debian.org>  Wed, 30 Jun 2004 16:56:41 +0200

webfs (1.21-1) unstable; urgency=low

  * new release with LFS support (closes: #244904).
  * install manpage correctly (closes: #222302, #226360).
  * switch to gettextified debconf (closes: #199009).
  * create logrotate conffile when access log specified
    via debconf (closes: #143040).
  * separate package sources and debian packaging info.

 -- Gerd Knorr <kraxel@debian.org>  Thu, 10 Jun 2004 13:19:26 +0200

webfs (1.20) unstable; urgency=high

  * new release, fixes security hole.
  * updated description (closes: #205254).

 -- Gerd Knorr <kraxel@debian.org>  Fri, 26 Sep 2003 17:22:29 +0200

webfs (1.19) unstable; urgency=low

  * new release,

 -- Gerd Knorr <kraxel@debian.org>  Thu, 24 Oct 2002 18:03:59 +0200

webfs (1.18) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Wed, 31 Jul 2002 17:03:40 +0200

webfs (1.17) unstable; urgency=low

  * new release.
  * make config/postinst keep track whenever postinst has written the
    debconf values to the config file or not (closes: #117239).

 -- Gerd Knorr <kraxel@debian.org>  Mon, 18 Mar 2002 20:06:31 +0100

webfs (1.16) unstable; urgency=low

  * new release (closes: #120334).

 -- Gerd Knorr <kraxel@debian.org>  Tue, 20 Nov 2001 15:31:06 +0100

webfs (1.15) unstable; urgency=low

  * ran debconf-mergetemplates, #115082 is _really_ fixed now ...

 -- Gerd Knorr <kraxel@debian.org>  Wed, 24 Oct 2001 16:37:44 +0200

webfs (1.14) unstable; urgency=low

  * new release.
  * added missing webfsd/web_syslog description to the debconf
    template (closes: #115082).

 -- Gerd Knorr <kraxel@debian.org>  Thu, 11 Oct 2001 10:24:37 +0200

webfs (1.13) unstable; urgency=low

  * new release.
  * added german debconf translations (closes: #100517).

 -- Gerd Knorr <kraxel@debian.org>  Thu, 28 Jun 2001 12:16:16 +0200

webfs (1.12) unstable; urgency=low

  * fixed debian init script (closes: #98932).

 -- Gerd Knorr <kraxel@debian.org>  Mon, 28 May 2001 09:24:51 +0200

webfs (1.11) unstable; urgency=low

  * new release.
  * updated the debconf scripts (closes: #96704, #97166)

 -- Gerd Knorr <kraxel@debian.org>  Mon, 21 May 2001 13:42:23 +0200

webfs (1.10) unstable; urgency=low

  * new release.
  * updated standards-version.
  * fixed dependences.

 -- Gerd Knorr <kraxel@debian.org>  Wed,  2 May 2001 14:40:30 +0200

webfs (1.9) unstable; urgency=low

  * new release.
  * fixed cut+paste bug in init script (closes: #87475)
  * the init script use the new pidfile option (closes: #87484)

 -- Gerd Knorr <kraxel@debian.org>  Fri,  2 Mar 2001 20:23:37 +0100

webfs (1.8) unstable; urgency=high

  * new release.
  * changed section from net to web
  * fixed tyops in the debian init script which (wrong switch
    for group setting which had the effect that webfs ran with
    group root. Oops.)

 -- Gerd Knorr <kraxel@debian.org>  Fri, 26 Jan 2001 19:46:28 +0100

webfs (1.7) unstable; urgency=low

  * new release
  * added start/stop script + debconf configuration

 -- Gerd Knorr <kraxel@debian.org>  Tue, 16 Jan 2001 23:49:24 +0100

webfs (1.6) unstable; urgency=low

  * new release

 -- Gerd Knorr <kraxel@debian.org>  Fri, 17 Nov 2000 22:40:33 +0100

webfs (1.5) unstable; urgency=low

  * new release

 -- Gerd Knorr <kraxel@goldbach.in-berlin.de>  Thu, 17 Aug 2000 22:02:29 +0200

webfs (1.4) unstable; urgency=low

  * new release

 -- Gerd Knorr <kraxel@goldbach.in-berlin.de>  Sat,  5 Aug 2000 20:46:14 +0200

webfs (1.3) unstable; urgency=low

  * new release

 -- Gerd Knorr <kraxel@goldbach.in-berlin.de>  Thu,  1 Jun 2000 22:13:15 +0200

webfs (1.2) unstable; urgency=low

  * new release

 -- Gerd Knorr <kraxel@goldbach.in-berlin.de>  Thu,  1 Jun 2000 22:12:50 +0200

webfs (1.1) unstable; urgency=low

  * debianized.

 -- Gerd Knorr <kraxel@goldbach.in-berlin.de>  Sat, 13 May 2000 21:06:03 +0200

Local variables:
mode: debian-changelog
End:
webfs (1.21-5.2) unstable; urgency=high

  * Non-maintainer upload to fix pending l10n issues.
  * 
  * Portuguese. Closes: #439698

 -- Christian Perrier <bubulle@debian.org>  Mon, 07 Apr 2008 08:07:32 +0200
webfs (1.21-5.3) unstable; urgency=high

  * Non-maintainer upload.
  * Portuguese. Closes: #439698
  * Dutch. Closes: #448925

 -- Christian Perrier <bubulle@debian.org>  Mon, 07 Apr 2008 08:07:49 +0200
webfs (1.21-5.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
  * Portuguese. Closes: #439698
  * Dutch. Closes: #448925
  * foo

 -- Christian Perrier <bubulle@debian.org>  Mon, 07 Apr 2008 08:15:02 +0200
webfs (1.21-5.2) UNRELEASED; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
  * Portuguese. Closes: #439698
  * Dutch. Closes: #448925
  * foo

 -- Christian Perrier <bubulle@debian.org>  Mon, 07 Apr 2008 08:15:40 +0200
webfs (1.21-5.2) UNRELEASED; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
  * Portuguese. Closes: #439698
  * Dutch. Closes: #448925
  * foo

 -- Christian Perrier <bubulle@debian.org>  Mon, 07 Apr 2008 08:16:59 +0200
webfs (1.21-5.2) UNRELEASED; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
  * Portuguese. Closes: #439698
  * Dutch. Closes: #448925
  * foo

 -- Christian Perrier <bubulle@debian.org>  Mon, 07 Apr 2008 07:59:55 +0200
